//=============================================================================
// 08/19/2004
// VehicleOverdrive v0.1 by Nusen:
// This is a very modified version of the VehicleOverride script originally
// written by Parser. This script allows you to use onslaught and Assault 
// vehicles/weapons/factories/etc. in any map of any gametype.  In this version
// all the vehicle factories should be working just like they would in their
// native gametypes.
// Changes:
// 1) Assault Factories nolonger spawn within themselves.
// 2) Onslaught stationary weapons are always powered.
// 3) Onslaught Factories MaxVehicleCount is adhered to so you can limit the
//   amount of vehicles present on your map at any one time.
// Many thanks to Parser for the original VehicleOverride script.
//=============================================================================
class VehicleOverdrive extends Actor
	placeable;

var(VehicleOverdrive) bool bRespawnVehicles;  var(VehicleOverdrive) int RespawnTime;

function PreBeginPlay()
{

	Timer();


	SetTimer(RespawnTime, true);

}

simulated function Timer()
{
	local GameInfo I;
	local Vehicle V;
	local ONSVehicleFactory F;
	local ASVehicleFactory P;

	foreach DynamicActors(class'Engine.Gameinfo', I)
	{
		I.bAllowVehicles = true;
	}

	foreach DynamicActors(class'Vehicle', V)
	{
		V.bTeamLocked = false;
		V.Team = 255;
     	if ( ONSStationaryWeaponPawn(V) != None )
     	{
  	    ONSStationaryWeaponPawn(V).bPowered = true;
  	    }
	}

	if (bRespawnVehicles)
	{
		foreach DynamicActors(class'ONSVehicleFactory', F)
		{
			if ( F.VehicleCount < F.MaxVehicleCount )
				{
					F.SpawnVehicle();
				}
		}


		foreach DynamicActors(class'ASVehicleFactory', P)
		{
		if ( P.Child == None )
			P.SpawnVehicle();
		}
	}

	foreach DynamicActors(class'Vehicle', V)
	{
		V.bTeamLocked = false;
		V.Team = 255;
	}

}

defaultproperties
{
    bRespawnVehicles=True
    bHidden=True
    RespawnTime=120
}
